Bug 4109 - grip crashes
: grip crashes
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/grip)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-09 18:20 by
Modified: 2005-10-28 14:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-09 18:20:22
Grip 3.1.3

Steps to Reproduce:
1. run grip
2. insert CD, select all tracks
3. "Rip" -> "Rip only"
4. process completed, disk ejected
5. select tab "Tracks" and press column header "Rip"
6. grip crashes
------- Comment #1 From 2004-05-10 15:55:45 -------
FIxed in upstream *but* more recent versions (starting with at least 3.1.6 and
up till at least 3.2.0) broke severely on encodings -- it's theoretically
correct now (according to FreeDB.org rules) but conflicts with factual contents.

Didn't find a workable solution for freedb to convert existing records to UTF-8,
not upset absolutely most users who will (try to) happily supply data in their
local Windows 8-bit charsets, and still not get very involved.

What's less evil?
------- Comment #2 From 2004-05-10 17:08:35 -------
A patch backport? ;)
------- Comment #3 From 2004-05-10 21:39:06 -------
acceptable
------- Comment #4 From 2004-06-04 18:05:37 -------
I mean, "hey, where's the patch?" :)

You can try 3.2.0 from Daedalus; I'm afraid I'm not in position to make good
decisions on freedb.org localization but am somewhat responsible for the package
being good for our users.
------- Comment #5 From 2004-06-04 18:57:46 -------
I thought you had the patch nearby :)
That's not critical, I lower bug severity.
------- Comment #6 From 2005-10-28 14:23:01 -------
Забудем.